> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/visas-commercial-enhanced-data-program/process-payments.md).

# Process payments

To process payments with Visa commercial cards to qualify for lower interchange rates, follow the steps below:

{% stepper %}
{% step %}
**Submit enhanced transaction data at checkout using the invoice-level fields in the Xplor Pay payment form.**
{% endstep %}

{% step %}
**Map the required fields to the corresponding** [**Transaction API**](https://docs.xplorpay.com/api-references/api-reference/payments/cards/transactions) **request fields to submit enhanced transaction data.**
{% endstep %}

{% step %}
**Test the Xplor Pay Transaction API integration using** [**Visa commercial test cards**](https://docs.xplorpay.com/api-references/resources/test-cards-and-ach-accounts#test-cards-this-is-different-to-what-we-have-in-navi) **to confirm field compatibility and lower interchange rate eligibility.**
{% endstep %}

{% step %}
**Contact** [**Xplor Pay Sales Support**](mailto:salessupport@xplorpay.com) **to request the Verified Merchant List issued by Visa, which helps merchants qualify for lower interchange rates to 1.75% + $0.10.**
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/visas-commercial-enhanced-data-program/process-payments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
